package com.ruoyi.project.zjsgfa.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.project.zjsgfa.domain.SjJygjGdsjgdcs;

/**
 * 设计信息-井眼轨迹_轨道设计各点参数Service接口
 * 
 * @author ruoyi
 * @date 2025-06-26
 */
public interface ISjJygjGdsjgdcsService 
{
    /**
     * 查询设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param id 设计信息-井眼轨迹_轨道设计各点参数主键
     * @return 设计信息-井眼轨迹_轨道设计各点参数
     */
    public SjJygjGdsjgdcs selectSjJygjGdsjgdcsById(Long id);

    /**
     * 查询设计信息-井眼轨迹_轨道设计各点参数列表
     * 
     * @param sjJygjGdsjgdcs 设计信息-井眼轨迹_轨道设计各点参数
     * @return 设计信息-井眼轨迹_轨道设计各点参数集合
     */
    public List<SjJygjGdsjgdcs> selectSjJygjGdsjgdcsList(SjJygjGdsjgdcs sjJygjGdsjgdcs);

    /**
     * 新增设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param sjJygjGdsjgdcs 设计信息-井眼轨迹_轨道设计各点参数
     * @return 结果
     */
    public int insertSjJygjGdsjgdcs(SjJygjGdsjgdcs sjJygjGdsjgdcs);

    /**
     * 修改设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param sjJygjGdsjgdcs 设计信息-井眼轨迹_轨道设计各点参数
     * @return 结果
     */
    public int updateSjJygjGdsjgdcs(SjJygjGdsjgdcs sjJygjGdsjgdcs);

    /**
     * 批量删除设计信息-井眼轨迹_轨道设计各点参数
     * 
     * @param ids 需要删除的设计信息-井眼轨迹_轨道设计各点参数主键集合
     * @return 结果
     */
    public int deleteSjJygjGdsjgdcsByIds(Long[] ids);

    /**
     * 删除设计信息-井眼轨迹_轨道设计各点参数信息
     * 
     * @param id 设计信息-井眼轨迹_轨道设计各点参数主键
     * @return 结果
     */
    public int deleteSjJygjGdsjgdcsById(Long id);

    Map jygjEw(SjJygjGdsjgdcs sjJygjGdsjgdcs);

    Map jygjSw(SjJygjGdsjgdcs sjJygjGdsjgdcs);

}
